[{"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\index.js":"1","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeHero.js":"2","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\Home.js":"3","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeGreeting.js":"4","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\Map.js":"5","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeContact.js":"6","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\configs\\firebase.js":"7","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\GuestConfirmation.js":"8","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\Admin.js":"9","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\AdminDashboard.js":"10","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\Chat.js":"11","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditDate.js":"12","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\utils\\DateFormat.js":"13","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditInfo.js":"14","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditAddress.js":"15"},{"size":530,"mtime":1607258025441,"results":"16","hashOfConfig":"17"},{"size":4146,"mtime":1607362869230,"results":"18","hashOfConfig":"17"},{"size":1025,"mtime":1607368291596,"results":"19","hashOfConfig":"17"},{"size":3231,"mtime":1607367611770,"results":"20","hashOfConfig":"17"},{"size":842,"mtime":1607367477296,"results":"21","hashOfConfig":"17"},{"size":1669,"mtime":1607369981959,"results":"22","hashOfConfig":"17"},{"size":545,"mtime":1607210920303,"results":"23","hashOfConfig":"17"},{"size":4240,"mtime":1607231944241,"results":"24","hashOfConfig":"17"},{"size":254,"mtime":1607264151793,"results":"25","hashOfConfig":"17"},{"size":6037,"mtime":1607365167403,"results":"26","hashOfConfig":"17"},{"size":4237,"mtime":1607271594739,"results":"27","hashOfConfig":"17"},{"size":2390,"mtime":1607277002506,"results":"28","hashOfConfig":"17"},{"size":2152,"mtime":1607364343658,"results":"29","hashOfConfig":"17"},{"size":5942,"mtime":1607353570547,"results":"30","hashOfConfig":"17"},{"size":3292,"mtime":1607365136073,"results":"31","hashOfConfig":"17"},{"filePath":"32","messages":"33","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"34"},"1005tcp",{"filePath":"35","messages":"36","errorCount":0,"warningCount":3,"fixableErrorCount":0,"fixableWarningCount":0,"source":"37"},{"filePath":"38","messages":"39","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"40","messages":"41","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"42","messages":"43","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"34"},{"filePath":"44","messages":"45","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"46","messages":"47","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"34"},{"filePath":"48","messages":"49","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"50","usedDeprecatedRules":"34"},{"filePath":"51","messages":"52","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"53","messages":"54","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"55","messages":"56","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"57"},{"filePath":"58","messages":"59","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"34"},{"filePath":"60","messages":"61","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"62","messages":"63","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"34"},{"filePath":"64","messages":"65","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\index.js",[],["66","67"],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeHero.js",["68","69","70"],"import { useEffect, useState } from 'react'\r\nimport { GuestConfirmation } from '../components/GuestConfirmation'\r\nimport { DateFormat } from '../utils/DateFormat'\r\n\r\nexport const HomeHero = ({ weddingInfo }) => {\r\n  const [toggle, setToggle] = useState(false)\r\n  const [countdown, setCountdown] = useState([])\r\n\r\n  useEffect(() => {\r\n    countDown()\r\n  }, [])\r\n\r\n  const countDown = () => {\r\n    setInterval(() => {\r\n\r\n      let days = {}\r\n      let hours = {}\r\n      let minutes = {}\r\n      let seconds = {}\r\n\r\n      const currentDateTime = new Date().getTime()\r\n      const engagementDate = new Date(weddingInfo.timestamp_start).getTime()\r\n      const timeleft = engagementDate - currentDateTime\r\n\r\n      const daysLeft = Math.floor(timeleft / (1000 * 60 * 60 * 24)).toString()\r\n      const hoursLeft = Math.floor((timeleft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)).toString()\r\n      const minutesLeft = Math.floor((timeleft % (1000 * 60 * 60)) / (1000 * 60)).toString()\r\n      const secondsLeft = Math.floor((timeleft % (1000 * 60)) / 1000).toString()\r\n\r\n\r\n      days.count = daysLeft\r\n      days.order = 0\r\n      days.label = 'Hari'\r\n\r\n      hours.count = hoursLeft\r\n      hours.order = 1\r\n      hours.label = 'Jam'\r\n\r\n      minutes.count = minutesLeft\r\n      minutes.order = 2\r\n      minutes.label = 'Minit'\r\n\r\n      seconds.count = secondsLeft\r\n      seconds.order = 3\r\n      seconds.label = 'Saat'\r\n\r\n\r\n      if (secondsLeft.length < 2) seconds.count = `0${secondsLeft}`\r\n      if (minutesLeft.length < 2) minutes.count = `0${minutesLeft}`\r\n      if (hoursLeft.length < 2) hours.count = `0${hoursLeft}`\r\n      if (daysLeft.length === 2) days.count = `0${daysLeft}`\r\n      if (daysLeft.length === 1) days.count = `00${daysLeft}`\r\n\r\n      const countdownArray = [days, hours, minutes, seconds]\r\n      setCountdown(countdownArray)\r\n\r\n    }, 1000)\r\n  }\r\n\r\n  const _renderCountdown = () => {\r\n    return (\r\n      <div className='flex text-gray-100 mt-4 md:mt-8'>\r\n        {countdown.sort((a, b) => a.order - b.order).map((cd) => {\r\n          return (\r\n            <div key={cd.order} className='countdown-container lg:mx-1 xl:mx-2'>\r\n              <div className='countdown-label'>{cd.label}</div>\r\n              <div className='flex'>\r\n                {cd.count.split('').map((num, index) => <div key={index} className='countdown-number'>{num}</div>)}\r\n              </div>\r\n            </div>\r\n          )\r\n        })}\r\n      </div>\r\n    )\r\n  }\r\n\r\n  const _renderDate = () => {\r\n\r\n    const datetime = DateFormat(weddingInfo.timestamp_start)\r\n    return (\r\n      <div className='container bg-gray-500 '>\r\n        <div className='container-inner mb-28 md:mb-0'>\r\n          <small className='text-gray-300 small-title'>p a d a</small>\r\n          <p className='date'>{datetime.dateStr} | {datetime.day}</p>\r\n          {_renderCountdown()}\r\n        </div>\r\n        <div className='visible absolute bottom-16 md:bottom-48 md:self-start mt-10'>\r\n          <a href='#map' className='main-btn main-btn-dark'>Tempat</a>\r\n          <a onClick={() => setToggle(!toggle)} className='md:invisible main-btn main-btn-dark'>Akan Hadir</a>\r\n        </div>\r\n      </div>\r\n    )\r\n  }\r\n\r\n  const _renderBridesName = () => {\r\n    return (\r\n      <div className='container '>\r\n        <div className='container-inner mt-7 md:mt-0'>\r\n          <small className='text-gray-500 small-title'>W a l i m a t u l U r u s</small>\r\n          <p className='bridegroom bridegroom-name'>{weddingInfo.bride.name}</p>\r\n          <p className='bridegroom bridegroom-and'>- & -</p>\r\n          <p className='bridegroom bridegroom-name'>{weddingInfo.groom.name}</p>\r\n        </div>\r\n        <div className='invisible md:visible md:absolute md:bottom-48 md:self-end md:mt-10'>\r\n          <a onClick={() => setToggle(!toggle)} className='main-btn main-btn-light'>Akan Hadir</a>\r\n        </div>\r\n      </div>\r\n    )\r\n  }\r\n\r\n  return (\r\n    <div className='flex flex-col md:flex-row h-screen justify-center items-center font-main bg-gray-100 '>\r\n      {_renderBridesName()}\r\n      {_renderDate()}\r\n      <GuestConfirmation toggle={toggle} setToggle={setToggle} />\r\n    </div>\r\n  )\r\n}","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\Home.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeGreeting.js",["71","72"],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\Map.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\HomeContact.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\configs\\firebase.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\GuestConfirmation.js",["73"],"import React, { useEffect, useState } from 'react'\r\nimport { DATABASE } from '../configs/firebase'\r\n\r\nexport const GuestConfirmation = ({ toggle, setToggle }) => {\r\n\r\n  const [guestName, setGuestName] = useState('')\r\n  const [guestContact, setGuestContact] = useState('')\r\n  const [guestNumberOfMember, setGuestNumberOfMember] = useState()\r\n  const [confirmed, setConfirmed] = useState(false)\r\n  const [errorMsg, setErrorMsg] = useState('')\r\n\r\n  const submitGuestData = async (e) => {\r\n    e.preventDefault()\r\n    const guestInputData = {\r\n      name: guestName,\r\n      contact: guestContact,\r\n      numberOfPeople: guestNumberOfMember\r\n    }\r\n\r\n    if (guestName === '') return setErrorMsg('Ruang nama tidak boleh kosong!')\r\n    if (guestContact === '') return setErrorMsg('Ruang telefon tidak boleh kosong!')\r\n    if (guestNumberOfMember === '') return setErrorMsg('Ruang jumlah yang hadir tidak boleh kosong!')\r\n\r\n    await DATABASE.ref('/guest_confirm').push(guestInputData)\r\n    setConfirmed(true)\r\n    setGuestName('')\r\n    setGuestContact('')\r\n    setGuestNumberOfMember('')\r\n    setTimeout(() => {\r\n      setToggle(false)\r\n    }, 3000)\r\n  }\r\n\r\n\r\n  const _renderModal = () => {\r\n    if (!toggle) return null\r\n    if (toggle && !confirmed) {\r\n      return (\r\n        <div className=\"fixed inset-0 z-50 overflow-auto bg-smoke-light flex\">\r\n          <div className=\"p-6 bg-white w-full max-w-xs md:max-w-md m-auto flex-col flex rounded-lg\">\r\n            <form onSubmit={submitGuestData}>\r\n              <div className='text-sm'>\r\n                <p className='font-bold uppercase text-lg text-center mb-5'>Sahkan kehadiran</p>\r\n                {errorMsg !== '' && <p className='border border-solid border-red-500 text-red-500 text-center p-3 w-full uppercase'>{errorMsg}</p>}\r\n                <div className='flex flex-col items-center w-full my-3'>\r\n                  <label>Nama: </label>\r\n                  <input className='border border-gray-500 p-1 w-full text-center' type=\"text\" name=\"name\" value={guestName} onChange={(e) => { setGuestName(e.target.value); setErrorMsg('') }} placeholder='nama anda...' />\r\n                </div>\r\n                <div className='flex flex-col items-center w-full my-3'>\r\n                  <label>No Telefon: </label>\r\n                  <input className='border border-gray-500 p-1 w-full text-center' type=\"text\" name=\"name\" value={guestContact} onChange={(e) => { setGuestContact(e.target.value); setErrorMsg('') }} placeholder='no telefon anda...' />\r\n                </div>\r\n                <div className='flex flex-col items-center w-full my-3'>\r\n                  <label>Jumlah Yang Hadir: </label>\r\n                  <input className='border border-gray-500 p-1 w-full text-center' type=\"number\" name=\"name\" value={guestNumberOfMember} onChange={(e) => { setGuestNumberOfMember(e.target.value); setErrorMsg('') }} placeholder='contoh: 15' />\r\n                </div>\r\n              </div>\r\n              <span className=\"flex justify-between w-full mt-5\">\r\n                <button className='p-2 text-sm text-red-500 uppercase' onClick={() => setToggle(false)}>Batal</button>\r\n                <button className='py-2 px-5 text-sm bg-blue-500 text-gray-50 uppercase'>Sahkan</button>\r\n              </span>\r\n            </form>\r\n          </div>\r\n        </div>\r\n      )\r\n    }\r\n    if (toggle && confirmed) {\r\n      return (\r\n        <div className=\"fixed inset-0 z-50 overflow-auto bg-smoke-light flex\">\r\n          <div className=\"p-6 bg-white w-full max-w-xs md:max-w-md m-auto flex-col flex rounded-lg\">\r\n\r\n            <div className='text-sm'>\r\n              <p className='font-bold uppercase text-lg text-center mb-5'>Sahkan kehadiran</p>\r\n              <div className='flex flex-col items-center w-full my-3'>\r\n                <p className='text-center text-lg'>Terima kasih kerana sahkan kehadiran anda. Jumpa anda di majlis nanti. Terima kasih.</p>\r\n              </div>\r\n            </div>\r\n            <span className=\"flex justify-start w-full mt-5\">\r\n              <button className='p-2 text-sm text-red-500 uppercase' onClick={() => setToggle(false)}>Batal</button>\r\n            </span>\r\n          </div>\r\n        </div>\r\n      )\r\n    }\r\n  }\r\n\r\n  return _renderModal()\r\n}\r\n","C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\Admin.js",["74"],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\screens\\AdminDashboard.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\Chat.js",[],["75","76"],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditDate.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\utils\\DateFormat.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditInfo.js",[],"C:\\Users\\programmer 05\\Desktop\\Dev\\Personal\\wedding-inv-v2\\src\\components\\EditAddress.js",[],{"ruleId":"77","replacedBy":"78"},{"ruleId":"79","replacedBy":"80"},{"ruleId":"81","severity":1,"message":"82","line":11,"column":6,"nodeType":"83","endLine":11,"endColumn":8,"suggestions":"84"},{"ruleId":"85","severity":1,"message":"86","line":89,"column":11,"nodeType":"87","endLine":89,"endColumn":97},{"ruleId":"85","severity":1,"message":"86","line":105,"column":11,"nodeType":"87","endLine":105,"endColumn":85},{"ruleId":"88","severity":1,"message":"89","line":52,"column":47,"nodeType":"90","endLine":52,"endColumn":62},{"ruleId":"88","severity":1,"message":"89","line":53,"column":115,"nodeType":"90","endLine":53,"endColumn":130},{"ruleId":"91","severity":1,"message":"92","line":1,"column":17,"nodeType":"93","messageId":"94","endLine":1,"endColumn":26},{"ruleId":"91","severity":1,"message":"95","line":1,"column":10,"nodeType":"93","messageId":"94","endLine":1,"endColumn":16},{"ruleId":"77","replacedBy":"96"},{"ruleId":"79","replacedBy":"97"},"no-native-reassign",["98"],"no-negated-in-lhs",["99"],"react-hooks/exhaustive-deps","React Hook useEffect has a missing dependency: 'countDown'. Either include it or remove the dependency array.","ArrayExpression",["100"],"jsx-a11y/anchor-is-valid","The href attribute is required for an anchor to be keyboard accessible. Provide a valid, navigable address as the href value. If you cannot provide an href, but still need the element to resemble a link, use a button and change it with appropriate styles. Learn more: https://github.com/evcohen/eslint-plugin-jsx-a11y/blob/master/docs/rules/anchor-is-valid.md","JSXOpeningElement","react/jsx-no-target-blank","Using target=\"_blank\" without rel=\"noreferrer\" is a security risk: see https://html.spec.whatwg.org/multipage/links.html#link-type-noopener","JSXAttribute","no-unused-vars","'useEffect' is defined but never used.","Identifier","unusedVar","'Switch' is defined but never used.",["98"],["99"],"no-global-assign","no-unsafe-negation",{"desc":"101","fix":"102"},"Update the dependencies array to be: [countDown]",{"range":"103","text":"104"},[356,358],"[countDown]"]